Automazione VBA: creazione applicazione solidworks.

Poly

Utente Standard
Professione: Disegnatore
Software: SWX 2009x64, Autocad 2007, Corel Draw X3
Regione: Furlanìa Occidentale
#1
Lo so che magari è una cosa abbastanza semplice, ma se io voglio pilotare una applicazione solidworks da VBA: es excel o access, come faccio a creare l'istanza di Solidworks?

dim swApp as Object
set swApp = CreateObject("Solidworks.application")

Non funziona.

Grazie
 

pose63

Utente Junior
Professione: Tecnico
Software: SolidWorks 2016 OfficePro sp5.0 Win7 x64 Quadro FX580 2xSamsung SM226BW
Regione: Veneto
#2
Lo so che magari è una cosa abbastanza semplice, ma se io voglio pilotare una applicazione solidworks da VBA: es excel o access, come faccio a creare l'istanza di Solidworks?

dim swApp as Object
set swApp = CreateObject("Solidworks.application")

Non funziona.

Grazie
io uso

dim swApp as Object
Set swApp = CreateObject("SldWorks.Application")

naturalmente devi referenziare la libreria sldworks.tlb
 

Poly

Utente Standard
Professione: Disegnatore
Software: SWX 2009x64, Autocad 2007, Corel Draw X3
Regione: Furlanìa Occidentale
#3
Porca la pupazza. Hai ragione pose63.
Questa cosa dei riferimenti la dimentico sempre :p
Grazie 1K :)